/// <reference types="node" />
import JSZip from 'jszip';
export default class FileHelper {
    static readFile(location: string): Promise<Buffer>;
    static extractFromArchive(archive: JSZip, file: string): Promise<string>;
    static extractFileContent(file: any): Promise<JSZip>;
    static extractAllForecefully(filePath: string): void;
    /**
     * Copies a file from one archive to another. The new file can have a different name to the origin.
     * @param {JSZip} sourceArchive - Source archive
     * @param {string} sourceFile - file path and name inside source archive
   * @param {JSZip} targetArchive - Target archive
     * @param {string} targetFile - file path and name inside target archive
     * @return {JSZip} targetArchive as an instance of JSZip
     */
    static zipCopy(sourceArchive: JSZip, sourceFile: string, targetArchive: JSZip, targetFile?: string, mode?: any): Promise<JSZip>;
    static writeOutputFile(location: string, content: Buffer): void;
}
