import { XMLElement } from '../types';
import JSZip from 'jszip';
import { DefaultAttribute, OverrideAttribute, Target } from '../types';
export default class XmlHelper {
    static getXmlFromArchive(archive: JSZip, file: string): Promise<Document>;
    static writeXmlToArchive(archive: JSZip, file: string, xml: any): Promise<JSZip>;
    static appendIf(element: XMLElement): Promise<HTMLElement | boolean>;
    static append(element: XMLElement): Promise<HTMLElement>;
    static getNextRelId(rootArchive: any, file: any): Promise<string>;
    static getMaxId(rels: {
        [x: string]: any;
    }, attribute: string, increment?: boolean): number;
    static getTargetsFromRelationships(archive: JSZip, path: string, prefix: string, suffix?: string): Promise<Target[]>;
    static findByAttribute(xml: HTMLElement, tagName: string, attributeName: string, attributeValue: string): Boolean;
    static countSlides(presentation: JSZip): Promise<number>;
    static countCharts(presentation: JSZip): Promise<number>;
    static createContentTypeChild(archive: JSZip, attributes: OverrideAttribute | DefaultAttribute): XMLElement;
}
